Index: trunk/sources/HeuristicLab.Problems.ExternalEvaluation/3.3/Protos/ExternalEvaluationMessages.proto
===================================================================
--- trunk/sources/HeuristicLab.Problems.ExternalEvaluation/3.3/Protos/ExternalEvaluationMessages.proto	(revision 3857)
+++ trunk/sources/HeuristicLab.Problems.ExternalEvaluation/3.3/Protos/ExternalEvaluationMessages.proto	(revision 3859)
@@ -2,16 +2,18 @@
 option java_package = "com.heuristiclab.problems.externalevaluation";
 
-message MainMessage {
+message SolutionMessage {
+  required int32 solutionId = 1;
+  
   message IntegerVariable {
     required string name = 1;
     optional int32 data = 2;
   }
-  repeated IntegerVariable integerVars = 1;
+  repeated IntegerVariable integerVars = 2;
   
   message IntegerArrayVariable {
     required string name = 1;
-    repeated int32 data = 2 [packed = true];
+    repeated int32 data = 2;
   }
-  repeated IntegerArrayVariable integerArrayVars = 2;
+  repeated IntegerArrayVariable integerArrayVars = 3;
   
   message DoubleVariable {
@@ -19,5 +21,5 @@
     optional double data = 2;
   }
-  repeated DoubleVariable doubleVars = 3;
+  repeated DoubleVariable doubleVars = 4;
   
   message DoubleArrayVariable {
@@ -25,5 +27,5 @@
     repeated double data = 2;
   }
-  repeated DoubleArrayVariable doubleArrayVars = 4;
+  repeated DoubleArrayVariable doubleArrayVars = 5;
   
   message BoolVariable {
@@ -31,5 +33,5 @@
     optional bool data = 2;
   }
-  repeated BoolVariable boolVars = 5;
+  repeated BoolVariable boolVars = 6;
   
   message BoolArrayVariable {
@@ -37,5 +39,5 @@
     repeated bool data = 2;
   }
-  repeated BoolArrayVariable boolArrayVars = 6;
+  repeated BoolArrayVariable boolArrayVars = 7;
   
   message StringVariable {
@@ -43,5 +45,5 @@
     optional string data = 2;
   }
-  repeated StringVariable stringVars = 7;
+  repeated StringVariable stringVars = 8;
   
   message StringArrayVariable {
@@ -49,5 +51,5 @@
     repeated string data = 2;
   }
-  repeated StringArrayVariable stringArrayVars = 8;
+  repeated StringArrayVariable stringArrayVars = 9;
   
   message RawVariable {
@@ -55,8 +57,13 @@
     optional bytes data = 2;
   }
-  repeated RawVariable rawVars = 9;
+  repeated RawVariable rawVars = 10;
 }
 
+message QualityMessage {
+  required int32 solutionId = 1;
+  required double quality = 2;
+}
+  
 service ExchangeService {
-  rpc Exchange (MainMessage) returns (MainMessage);
+  rpc EvaluateSingleObjectively (SolutionMessage) returns (QualityMessage);
 }
Index: trunk/sources/HeuristicLab.Problems.ExternalEvaluation/3.3/Protos/ProcessProtos.cmd
===================================================================
--- trunk/sources/HeuristicLab.Problems.ExternalEvaluation/3.3/Protos/ProcessProtos.cmd	(revision 3859)
+++ trunk/sources/HeuristicLab.Problems.ExternalEvaluation/3.3/Protos/ProcessProtos.cmd	(revision 3859)
@@ -0,0 +1,6 @@
+cd "%ProjectDir%"Protos
+
+for %%i in (*.proto) do (
+  "%SolutionDir%"protoc -otmp %%i
+  "%SolutionDir%"ProtoGen tmp
+  del tmp)
